MessageAck (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.message.MessageAck class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.message
Class MessageAck

    java.lang.Object
      org.codehaus.activemq.message.AbstractPacket
          org.codehaus.activemq.message.MessageAck

All Implemented Interfaces:
  Packet

public class MessageAck
extends AbstractPacket

Denotes an object that can be serialized/deserailized using a PacketReader/PacketWriter

Field Summary
`(package private) static int` | `MESSAGE_READ_INDEX`
`(package private) static int` | `PERSISTENT_INDEX`
`(package private) static int` | `XA_TRANSACTED_INDEX`

Fields inherited from class org.codehaus.activemq.message.AbstractPacket
`bitArray, BROKERS_VISITED_INDEX, RECEIPT_REQUIRED_INDEX`

Fields inherited from interface org.codehaus.activemq.message.Packet
`ACTIVEMQ_BROKER_INFO, ACTIVEMQ_BYTES_MESSAGE, ACTIVEMQ_CONNECTION_INFO, ACTIVEMQ_MAP_MESSAGE, ACTIVEMQ_MESSAGE, ACTIVEMQ_MSG_ACK, ACTIVEMQ_OBJECT_MESSAGE, ACTIVEMQ_STREAM_MESSAGE, ACTIVEMQ_TEXT_MESSAGE, CAPACITY_INFO, CAPACITY_INFO_REQUEST, CONSUMER_INFO, DURABLE_UNSUBSCRIBE, INT_RESPONSE_RECEIPT_INFO, PRODUCER_INFO, RECEIPT_INFO, RESPONSE_RECEIPT_INFO, SESSION_INFO, TRANSACTION_INFO, WIRE_FORMAT_INFO, XA_TRANSACTION_INFO`

Constructor Summary
`MessageAck()`

Method Summary
`String` | `getConsumerId()`
`ActiveMQDestination` | `getDestination()`
`String` | `getMessageID()`
`MessageIdentity` | `getMessageIdentity()`
`int` | `getPacketType()` Return the type of Packet
`String` | `getTransactionId()`
`boolean` | `isMessageRead()`
`boolean` | `isPartOfTransaction()`
`boolean` | `isPersistent()`
`boolean` | `isTemporary()`
`boolean` | `isXaTransacted()`
`void` | `setConsumerId(String consumerId)`
`void` | `setDestination(ActiveMQDestination destination)`
`void` | `setMessageID(String messageID)`
`void` | `setMessageRead(boolean messageRead)`
`void` | `setPersistent(boolean persistent)`
`void` | `setTransactionId(String newTransactionId)`
`void` | `setXaTransacted(boolean xaTransacted)`
`String` | `toString()`

Methods inherited from class org.codehaus.activemq.message.AbstractPacket
`addBrokerVisited, decrementMemoryReferenceCount, equals, equals, getBitArray, getBrokersVisited, getBrokersVisitedAsString, getId, getMemoryUsage, getMemoryUsageReferenceCount, getPacketTypeAsString, hashCode, hasVisited, incrementMemoryReferenceCount, initializeBrokersVisited, initializeOther, isJMSMessage, isReceipt, isReceiptRequired, setBitArray, setId, setMemoryUsage, setReceiptRequired`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### MESSAGE_READ_INDEX

    static final int MESSAGE_READ_INDEX

See Also:
  Constant Field Values

### XA_TRANSACTED_INDEX

    static final int XA_TRANSACTED_INDEX

See Also:
  Constant Field Values

### PERSISTENT_INDEX

    static final int PERSISTENT_INDEX

See Also:
  Constant Field Values

Constructor Detail

### MessageAck

    public MessageAck()

Method Detail

### getPacketType

    public int getPacketType()

  Return the type of Packet

  Returns:
    integer representation of the type of Packet

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractPacket`
  Returns:
    pretty print of this Packet

### getTransactionId

    public String getTransactionId()

  Returns:
    Returns the transactionId.

### setTransactionId

    public void setTransactionId(String newTransactionId)

  Parameters:
    `newTransactionId` - The transactionId to set.

### isPartOfTransaction

    public boolean isPartOfTransaction()

  Returns:
    Returns true if this message is part of a transaction

### getMessageID

    public String getMessageID()

  Returns:
    Returns the messageID.

### setMessageID

    public void setMessageID(String messageID)

  Parameters:
    `messageID` - The messageID to set.

### isMessageRead

    public boolean isMessageRead()

  Returns:
    Returns the messageRead.

### setMessageRead

    public void setMessageRead(boolean messageRead)

  Parameters:
    `messageRead` - The messageRead to set.

### getConsumerId

    public String getConsumerId()

  Returns:
    Returns the consumerId.

### setConsumerId

    public void setConsumerId(String consumerId)

  Parameters:
    `consumerId` - The consumerId to set.

### isXaTransacted

    public boolean isXaTransacted()

  Returns:
    Returns the xaTransacted.

### setXaTransacted

    public void setXaTransacted(boolean xaTransacted)

  Parameters:
    `xaTransacted` - The xaTransacted to set.

### getMessageIdentity

    public MessageIdentity getMessageIdentity()

### getDestination

    public ActiveMQDestination getDestination()

  Returns:
    Returns the destination.

### setDestination

    public void setDestination(ActiveMQDestination destination)

  Parameters:
    `destination` - The destination to set.

### isPersistent

    public boolean isPersistent()

  Returns:
    Returns the persistent.

### setPersistent

    public void setPersistent(boolean persistent)

  Parameters:
    `persistent` - The persistent to set.

### isTemporary

    public boolean isTemporary()

  Returns:
    true the delivered message was to a non-persistent destination

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.